use super::integer::Planar64Vec3;
#[binrw::binrw]
#[brw(little)]
pub struct Aabb{
	pub min:Planar64Vec3,
	pub max:Planar64Vec3,
}
impl Into<strafesnet_common::aabb::Aabb> for Aabb{
	fn into(self)->strafesnet_common::aabb::Aabb{
		strafesnet_common::aabb::Aabb::new(
			strafesnet_common::integer::vec3::raw_array(self.min),
			strafesnet_common::integer::vec3::raw_array(self.max),
		)
	}
}
impl From<strafesnet_common::aabb::Aabb> for Aabb{
	fn from(value:strafesnet_common::aabb::Aabb)->Self{
		Self{
			max:value.max().map(|t|t.to_raw()).to_array(),
			min:value.min().map(|t|t.to_raw()).to_array(),
		}
	}
}
